
package de.ivu.elect.presentation;

import java.util.ArrayList;
import java.util.List;

/**
 * @deprecated
 * @see LokalisierungResourceBundle
 */
@Deprecated
public class CommonResourceBundle extends BaseResourceBundle {

  public static final String BASE_NAME_FOR_COMMON_MESSAGES = "messages_elect_common";

  public static final String BASE_NAME_FOR_COMMON_CUSTOM_MESSAGES = BASE_NAME_FOR_COMMON_MESSAGES + "_custom";

  public CommonResourceBundle() {
    super();
  }

  @Override
  protected List<String> getBaseNamesOrderedBySpecialization() {
    List<String> result = new ArrayList<>();

    result.add(getBaseNameForCommonCustomMessages());
    result.add(getBaseNameForCommonMessages());
    result.addAll(super.getBaseNamesOrderedBySpecialization());

    return result;
  }

  protected String getBaseNameForCommonMessages() {
    return BASE_NAME_FOR_COMMON_MESSAGES;
  }

  protected String getBaseNameForCommonCustomMessages() {
    return BASE_NAME_FOR_COMMON_CUSTOM_MESSAGES;
  }
}
